#!/usr/bin/env bash
set -euo pipefail

for board in ./data/boards/*/ ; do
	FILE="$board/board.json"
	sed -E 's/"timestamp"\:([0-9]+)/"timestamp":{"secs_since_epoch":\1,"nanos_since_epoch":0}/g' $FILE > "${FILE}.new"
	mv "${FILE}.new" $FILE
done
